Create a reward address
curl --request POST \
--url https://api.paxos.com/v2/rewards/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"customer_id": "<string>",
"address": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"payout_group_id": "<string>",
"balance": "<string>",
"asset_type": "<string>"
}
}
'import requests
url = "https://api.paxos.com/v2/rewards/addresses"
payload = { "address": {
"customer_id": "<string>",
"address": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"payout_group_id": "<string>",
"balance": "<string>",
"asset_type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
customer_id: '<string>',
address: '<string>',
name: '<string>',
created_at: '2023-11-07T05:31:56Z',
effective_at: '2023-11-07T05:31:56Z',
id: '<string>',
payout_group_id: '<string>',
balance: '<string>',
asset_type: '<string>'
}
})
};
fetch('https://api.paxos.com/v2/rewards/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"customer_id": "<string>",
"address": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"payout_group_id": "<string>",
"balance": "<string>",
"status": "<string>",
"asset_type": "<string>"
}
}Reward Addresses
Create a reward address
Creates a new reward address for reward attribution
POST
/
rewards
/
addresses
Create a reward address
OAuth Scope
rewards:write_monitoring_address
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I